Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.envjs
[Groovy] Class EnvJsPlugin

    java.lang.Object
      org.gradle.plugins.javascript.envjs.EnvJsPlugin

All Implemented Interfaces:
  Plugin

    class EnvJsPlugin

Constructor Summary
`EnvJsPlugin(Factory workerProcessBuilderFactory)`

Method Summary
`Configuration` | `addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, EnvJsExtension extension)`
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### EnvJsPlugin

    @Inject
    EnvJsPlugin(Factory workerProcessBuilderFactory)

Method Detail

### addConfiguration

    Configuration addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, EnvJsExtension extension)

### apply

    void apply(Project project)

Gradle API 1.10